# Get status list for command request

API to get and filter command request status

Endpoint: GET /commands/v0/status/
Version: 1.0.0
Security: apiKey

## Query parameters:

  - `request` (string)
    Filter status result by command request IDs. Accepts comma separated values.

  - `device` (string)
    Filter status result by device IDs. Accepts comma separated values.

  - `state` (string)
    Filter by command state
    Enum: "Command Queued", "Command Initiated", "Command Acknowledged", "Command In Progress", "Command TimeOut", "Command Success", "Command Failure", "Command Scheduled", "Command Cancelled"

  - `exclude_internal_commands` (boolean)
    Filter to exclude internal commands

  - `limit` (number)

  - `offset` (number)

## Response 200 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `content` (object)

  - `content.count` (integer)

  - `content.previous` (string)

  - `content.next` (string)

  - `content.results` (array)

  - `content.results.id` (string)
    Unique command identifier

  - `content.results.request` (string)
    Request Id associated with this command

  - `content.results.device` (string)
    Device associated with this command

  - `content.results.state` (string)
    Current state of the command
    Enum: "Command Queued", "Command Initiated", "Command Acknowledged", "Command In Progress", "Command TimeOut", "Command Success", "Command Failure", "Command Scheduled", "Command Cancelled"

  - `content.results.reason` (string)
    details briefing the reason for current command state

  - `content.results.created_at` (string)
    Timestamp of command creation

  - `content.results.updated_at` (string)
    Last updated timestamp of command

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 500 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


